# This file created by conda-build 24.5.1
# meta.yaml template originally from:
# /__w/cudf/cudf/conda/recipes/cudf, last modified Wed Aug  7 19:02:24 2024
# ------------------------------------------------

package:
  name: cudf
  version: 24.08.01
source:
  path: /__w/cudf/cudf
build:
  ignore_run_exports:
    - libcudf
  ignore_run_exports_from:
    - nvcc_linux-64
  number: '0'
  script_env:
    - AWS_ACCESS_KEY_ID
    - AWS_SECRET_ACCESS_KEY
    - AWS_SESSION_TOKEN
    - CMAKE_CUDA_COMPILER_LAUNCHER
    - CMAKE_CXX_COMPILER_LAUNCHER
    - CMAKE_C_COMPILER_LAUNCHER
    - CMAKE_GENERATOR
    - PARALLEL_LEVEL
    - SCCACHE_BUCKET
    - SCCACHE_IDLE_TIMEOUT
    - SCCACHE_REGION
    - SCCACHE_S3_KEY_PREFIX=cudf-linux64
    - SCCACHE_S3_NO_CREDENTIALS
    - SCCACHE_S3_USE_SSL
  string: cuda11_py311_240807_gc5ae8200e7_0
requirements:
  build:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - _sysroot_linux-64_curr_repodata_hack 3 h69a702a_16
    - binutils_impl_linux-64 2.40 ha1999f0_7
    - binutils_linux-64 2.40 hb3c18ed_4
    - bzip2 1.0.8 h4bc722e_7
    - c-ares 1.32.3 h4bc722e_0
    - ca-certificates 2024.7.4 hbcca054_0
    - cmake 3.30.2 hf8c4bd3_0
    - cuda-version 11.8 h70ddcb2_3
    - gcc_impl_linux-64 11.4.0 h00c12a0_13
    - gcc_linux-64 11.4.0 ha077dfb_4
    - gxx_impl_linux-64 11.4.0 h634f3ee_13
    - gxx_linux-64 11.4.0 h35bfe5d_4
    - kernel-headers_linux-64 3.10.0 h4a8ded7_16
    - keyutils 1.6.1 h166bdaf_0
    - krb5 1.21.3 h659f571_0
    - ld_impl_linux-64 2.40 hf3520f5_7
    - libcurl 8.9.1 hdb1bdb2_0
    - libedit 3.1.20191231 he28a2e2_2
    - libev 4.33 hd590300_2
    - libexpat 2.6.2 h59595ed_0
    - libgcc-devel_linux-64 11.4.0 h8f596e0_113
    - libgcc-ng 14.1.0 h77fa898_0
    - libgomp 14.1.0 h77fa898_0
    - libnghttp2 1.58.0 h47da74e_1
    - libsanitizer 11.4.0 h5763a12_13
    - libssh2 1.11.0 h0841786_0
    - libstdcxx-devel_linux-64 11.4.0 h8f596e0_113
    - libstdcxx-ng 14.1.0 hc0a3c3a_0
    - libuv 1.48.0 hd590300_0
    - libzlib 1.3.1 h4ab18f5_1
    - ncurses 6.5 h59595ed_0
    - ninja 1.12.1 h297d8ca_0
    - nvcc_linux-64 11.8 h41dc85b_23
    - openssl 3.3.1 h4bc722e_2
    - rhash 1.4.4 hd590300_0
    - sed 4.8 he412f7d_0
    - sysroot_linux-64 2.17 h4a8ded7_16
    - tzdata 2024a h0c530f3_0
    - xz 5.2.6 h166bdaf_0
    - zstd 1.5.6 ha6fb4c9_0
  host:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - attrs 24.2.0 pyh71513ae_0
    - aws-c-auth 0.7.22 hbd3ac97_10
    - aws-c-cal 0.7.1 h87b94db_1
    - aws-c-common 0.9.23 h4ab18f5_0
    - aws-c-compression 0.2.18 he027950_7
    - aws-c-event-stream 0.4.2 h7671281_15
    - aws-c-http 0.8.2 he17ee6b_6
    - aws-c-io 0.14.10 h826b7d6_1
    - aws-c-mqtt 0.10.4 hcd6a914_8
    - aws-c-s3 0.6.0 h365ddd8_2
    - aws-c-sdkutils 0.1.16 he027950_3
    - aws-checksums 0.1.18 he027950_7
    - aws-crt-cpp 0.27.3 hda66527_2
    - aws-sdk-cpp 1.11.329 h46c3b66_9
    - azure-core-cpp 1.13.0 h935415a_0
    - azure-identity-cpp 1.8.0 hd126650_2
    - azure-storage-blobs-cpp 12.12.0 hd2e3451_0
    - azure-storage-common-cpp 12.7.0 h10ac4d7_1
    - azure-storage-files-datalake-cpp 12.11.0 h325d260_1
    - bzip2 1.0.8 h4bc722e_7
    - c-ares 1.32.3 h4bc722e_0
    - ca-certificates 2024.7.4 hbcca054_0
    - cuda-python 11.8.3 py311h2c6edaf_2
    - cuda-version 11.8 h70ddcb2_3
    - cudatoolkit 11.8.0 h4ba93d1_13
    - cython 3.0.11 py311hf86e51f_0
    - dlpack 0.8 h59595ed_3
    - exceptiongroup 1.2.2 pyhd8ed1ab_0
    - fmt 10.2.1 h00ab1b0_0
    - gflags 2.2.2 he1b5a44_1004
    - glog 0.7.1 hbabe93e_0
    - icu 75.1 he02047a_0
    - importlib-metadata 8.2.0 pyha770c72_0
    - importlib-resources 6.4.0 pyhd8ed1ab_0
    - importlib_resources 6.4.0 pyhd8ed1ab_0
    - jsonschema 4.23.0 pyhd8ed1ab_0
    - jsonschema-specifications 2023.12.1 pyhd8ed1ab_0
    - keyutils 1.6.1 h166bdaf_0
    - krb5 1.21.3 h659f571_0
    - ld_impl_linux-64 2.40 hf3520f5_7
    - libabseil 20240116.2 cxx17_he02047a_1
    - libarrow 16.1.0 h4b47046_16_cpu
    - libarrow-acero 16.1.0 he02047a_16_cpu
    - libarrow-dataset 16.1.0 he02047a_16_cpu
    - libarrow-substrait 16.1.0 hc9a23c6_16_cpu
    - libblas 3.9.0 23_linux64_openblas
    - libbrotlicommon 1.1.0 hd590300_1
    - libbrotlidec 1.1.0 hd590300_1
    - libbrotlienc 1.1.0 hd590300_1
    - libcblas 3.9.0 23_linux64_openblas
    - libcrc32c 1.1.2 h9c3ff4c_0
    - libcudf 24.08.01 cuda11_240807_gc5ae8200e7_0
    - libcufile 1.4.0.31 0
    - libcufile-dev 1.4.0.31 0
    - libcurl 8.9.1 hdb1bdb2_0
    - libedit 3.1.20191231 he28a2e2_2
    - libev 4.33 hd590300_2
    - libevent 2.1.12 hf998b51_1
    - libexpat 2.6.2 h59595ed_0
    - libffi 3.4.2 h7f98852_5
    - libgcc-ng 14.1.0 h77fa898_0
    - libgfortran-ng 14.1.0 h69a702a_0
    - libgfortran5 14.1.0 hc5f4f2c_0
    - libgomp 14.1.0 h77fa898_0
    - libgoogle-cloud 2.26.0 h26d7fe4_0
    - libgoogle-cloud-storage 2.26.0 ha262f82_0
    - libgrpc 1.62.2 h15f2491_0
    - libiconv 1.17 hd590300_2
    - libkvikio 24.08.02 cuda11_240807_g6b80a5c_0
    - liblapack 3.9.0 23_linux64_openblas
    - libllvm14 14.0.6 hcd5def8_4
    - libnghttp2 1.58.0 h47da74e_1
    - libnsl 2.0.1 hd590300_0
    - libopenblas 0.3.27 pthreads_hac2b453_1
    - libparquet 16.1.0 h9e5060d_16_cpu
    - libprotobuf 4.25.3 h08a7969_0
    - libre2-11 2023.09.01 h5a48ba9_2
    - librmm 24.08.02 cuda11_240807_g5aa8ebe6_0
    - libsqlite 3.46.0 hde9e2c9_0
    - libssh2 1.11.0 h0841786_0
    - libstdcxx-ng 14.1.0 hc0a3c3a_0
    - libthrift 0.19.0 hb90f79a_1
    - libutf8proc 2.8.0 h166bdaf_0
    - libuuid 2.38.1 h0b41bf4_0
    - libxcrypt 4.4.36 hd590300_1
    - libxml2 2.12.7 he7c6b58_4
    - libzlib 1.3.1 h4ab18f5_1
    - llvmlite 0.43.0 py311hbde99c3_0
    - lz4-c 1.9.4 hcb278e6_0
    - ncurses 6.5 h59595ed_0
    - numba 0.60.0 py311h4bc866e_0
    - numpy 1.23.5 py311h7d28db0_0
    - nvcomp 3.0.6 h56904bc_0
    - openssl 3.3.1 h4bc722e_2
    - orc 2.0.1 h17fec99_1
    - packaging 24.1 pyhd8ed1ab_0
    - pathspec 0.12.1 pyhd8ed1ab_0
    - pip 24.2 pyhd8ed1ab_0
    - pkgutil-resolve-name 1.3.10 pyhd8ed1ab_1
    - pyarrow 16.1.0 py311hbd00459_5
    - pyarrow-core 16.1.0 py311h9460f28_5_cpu
    - python 3.11.9 hb806964_0_cpython
    - python_abi 3.11 4_cp311
    - pyyaml 6.0.2 py311h61187de_0
    - rapids-build-backend 0.3.2 py_0
    - rapids-dependency-file-generator 1.14.0 py_0
    - re2 2023.09.01 h7f4b329_2
    - readline 8.2 h8228510_1
    - referencing 0.35.1 pyhd8ed1ab_0
    - rmm 24.08.02 cuda11_py311_240807_g5aa8ebe6_0
    - rpds-py 0.20.0 py311hb3a8bbb_0
    - s2n 1.4.17 he19d79f_0
    - scikit-build-core 0.10.1 pyh4af843d_0
    - setuptools 72.1.0 pyhd8ed1ab_0
    - snappy 1.2.1 ha2e4443_0
    - spdlog 1.12.0 hd2e6256_2
    - tk 8.6.13 noxft_h4845f30_101
    - tomli 2.0.1 pyhd8ed1ab_0
    - tomlkit 0.13.0 pyha770c72_0
    - typing-extensions 4.12.2 hd8ed1ab_0
    - typing_extensions 4.12.2 pyha770c72_0
    - tzdata 2024a h0c530f3_0
    - wheel 0.44.0 pyhd8ed1ab_0
    - xz 5.2.6 h166bdaf_0
    - yaml 0.2.5 h7f98852_2
    - zipp 3.19.2 pyhd8ed1ab_0
    - zstd 1.5.6 ha6fb4c9_0
  run:
    - __glibc >=2.17,<3.0.a0
    - cachetools
    - cubinlinker
    - cuda-python >=11.7.1,<12.0a0
    - cuda-version >=11,<12.0a0
    - cudatoolkit
    - cupy >=12.0.0
    - fsspec >=0.6.0
    - libcudf =24.08.01
    - libgcc-ng >=12
    - libstdcxx-ng >=12
    - numba >=0.57
    - numpy >=1.23,<2.0a0
    - numpy >=1.23.5,<2.0a0
    - nvtx >=0.2.1
    - packaging
    - pandas >=2.0,<2.2.3dev0
    - ptxcompiler >=0.7.0
    - pyarrow >=16.1.0,<16.2.0a0
    - python >=3.11,<3.12.0a0
    - python_abi 3.11.* *_cp311
    - rich
    - rmm >=24.8.2,<24.9.0a0
    - typing_extensions >=4.0.0
test:
  imports:
    - cudf
  requires:
    - cuda-version =11.8
about:
  home: https://rapids.ai/
  license: Apache-2.0
  license_family: APACHE
  license_file: LICENSE
  summary: cuDF GPU DataFrame core library
extra:
  copy_test_source_files: true
  final: true
